#pragma once

#include <limits>

namespace orange::Math
{
    static constexpr float Epsilon = std::numeric_limits<float>::epsilon();

    static constexpr float Zero      = 0.0f;
    static constexpr float One       = 1.0f;
    static constexpr float Third     = 0.33333333f;
    static constexpr float TwoThirds = 0.66666667f;

    static constexpr float E   = 2.718281828f;
    static constexpr float Pi  = 3.141592654f;
    static constexpr float Tau = 6.283185307f;

    static constexpr float Sqrt2 = 1.414213562f;
    static constexpr float Sqrt3 = 1.732050808f;

    static constexpr float GoldenRatio = 1.618033989f;
}
