struct UniformData
{
    mat4 view_projection;
};

struct Renderable
{
    mat4 world;
    uint meshIdx;
    vec3 color;
};

struct Renderables
{
    Renderable renderables[1024];
};

layout(push_constant) uniform p_constants_t
{
    uint frame;
} p_constants;

layout(binding = 0) uniform u_frame_data_t
{
    UniformData frame[4];
} u_frame_data;

layout(scalar, binding = 2) uniform u_renderable_t
{
    Renderables frame[4];
} u_renderable;
